RK-J - Bug #2747
Feature # 2560 (Closed): Enable link update of a "link updated" book

Duplicate left nodes present in the metagraph after doing link update for the book which was already
link updated

12/08/2022 10:31 AM - Venmubhilan B

Status: Closed Start date: 12/08/2022
Priority: Normal Due date:

Assignee: Venmuhilan B % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

History

#1 - 12/08/2022 10:32 AM - Venmuhilan B

- Subject changed from duplicate left nodes present in the metagraph after doing link update for the book which was already link updated to Duplicate
left nodes present in the metagraph after doing link update for the book which was already link updated

#2 - 12/20/2022 06:04 AM - Venmuhilan B

Issue:
The documentProcessingld of Langref present in some of the left nodes of metagraph of Libref is not as same as it is present in the
documentProcessing kind.

documentProcessingld of Language Reference present in documentProcessing kind - efbad6c8-ef65-4d4d-bbd9-8c40e4ff683d
documentProcessingld of Library Reference present in documentProcessing kind - 63cc539d-a2b0-4e8b-af6c-4af095b59a1c

documentProcessingld of Language reference present in some of the left nodes of metagraph of Libref(which is not present in documentProcessing
kind)- 96ac5352-3472-42c9-b48f-8bcabe874d93.

In the method expandUrisForNodes(), the lurl will not be set to the node because it will not get the baseUrl for this dpID
96ac5352-3472-42¢9-b48f-8bcabe874d93(which is not present in the documentProcessing kind).So, the Url(i.e
10004/compound_stmts--The-try-statement-158.html) will not be expanded to lurl. | think it won't find the document from
getDocumentByDocumentUrlAndSupplementAsNull() because the I-url is invalid and that method will return null. When it tries to get the indexName,
a null pointer exception occurred.

The line where the exception occurred:
indexName = contentDao.getDocumentByDocumentUrlAndSupplementAsNull(node.getUrl(),null).getindexName();

reason:
Library reference non-dt and Langauage reference non-dt were ingested and link updated on 30 Aug on QA.

Langauage reference non-dt were deleted and reingested again on 21st sep.

So, The metagraph of Librref non-dt has the documentProcessingld of old Langref. It doesn't have the documentProcessingld of new Langref.

Fix & new issue.

If we overwrite with the same book or link update the book, we will not have this issue. But in the current implementation, it is not updating the nodes
in metagraph which has the old book's dpld with the new book's dpld. Instead it created duplicate nodes with the new book's dpld. we have to fix this.
new issue:

| did the link update on Librref non-dt book to update the metagraph.

Instead of updating the dpld(i.e present as bookld) of the nodes, it created a two nodes which has documentProcessingld of new Langref
book .

i.e

"left": [

A

"rc": 15,

"id": 131234,

"title": "The try statement,try",

"label": "8.4. The try \nstatement",

"url": "10004/compound_stmts--The-try-statement-158.html",
"rank": 168,

"bookld": "96ac5352-3472-42¢9-b48f-8bcabe874d93"

LA
"rc": 15,

"id": 131235,

"title": "The try statement,try",

"label": "8.4. The try \nstatement",

"url": "10004/compound_stmts--The-try-statement-158.html",
"rank": 168,

"bookld": "96ac5352-3472-42¢9-b48f-8bcabe874d93"

LA

"rc": 15,

"id": 131234,

"title": "The try statement,try",

"label": "8.4. The try \nstatement",

"url": "10004/compound_stmts--The-try-statement-158.html",
"rank": 170,

"bookld": "efbad6c8-ef65-4d4d-bbd9-8c40e4{f683d"

boA

"rc": 15,

"id": 131235,

"title": "The try statement,try",

"label": "8.4. The try \nstatement",

"url": "10004/compound_stmts--The-try-statement-158.html",
"rank": 170,

"bookld": "efbad6c8-ef65-4d4d-bbd9-8c40e4ff683d"

}
]

#3 - 12/20/2022 07:41 AM - Venmuhilan B

Fixed in this MR - https:/gitlab.com/kordale/rapidken-j/-/merge_requests/1573

#4 - 12/20/2022 07:42 AM - Venmuhilan B
- Status changed from New to Resolved

- % Done changed from 0 to 100

Test cases - https://docs.google.com/document/d/1tQzs5DWfEEVrnOcKC2sX_U2wZBc5FJd7erjb6fGBv60/edit#theading=h.k8rz8igcwqii

#5 - 06/06/2023 02:42 PM - Venmuhilan B

- Status changed from Resolved to Feedback

#6 - 06/07/2023 04:54 AM - Ayush Khandelwal
- Status changed from Feedback to Closed

working as expected
